APIReferenceGoals
To change what a goal measures, set a new goal.
To change what a goal measures, set a new goal.
apiKeyAuthorizationBearer <token>Personal API key (osg_…)
id*string^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidapplication/jsontarget?integer1 <= value <= 10000isPublic?booleanstatus?string"active""archived"Default Response
application/jsonid*stringmetric*string"contributions""active_days""commits""issues_opened""prs_opened""prs_merged""reviews""discussions"target*integer-9007199254740991 <= value <= 9007199254740991recurrence*string"none""weekly""monthly"startsOn*stringendsOn*string|nullrepoScope*string"all""subscribed""repo"repo*|nullisPublic*booleanstatus*string"active""archived"createdAt*stringdate-timeperiods*array<>Oldest first; the last is the current period
curl -X PATCH 'https://example.com/api/v1/me/goals/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "string", "metric": "contributions", "target": -9007199254740991, "recurrence": "none", "startsOn": "string", "endsOn": "string", "repoScope": "all", "repo": { "fullName": "string", "url": "string" }, "isPublic": true, "status": "active", "createdAt": "2019-08-24T14:15:22Z", "periods": [ { "start": "string", "end": "string", "progress": -9007199254740991, "achievedAt": "2019-08-24T14:15:22Z" } ]}